Get Invoice Item

View as Markdown
Get an invoice item by ID. Returns the invoice item with its associated price and product details. Works for both User and API Key authentication. Account access is automatically validated via endpoint dependency.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

external_idstringRequired
account_idstringRequired

Response

Successful Response
idstring
invoice_idstring or null
descriptionstring or null
quantitydouble
amountinteger
currencystring
metadatamap from strings to any or null
created_atdatetime
updated_atdatetime
priceobject or nullOptional
product_namestring or nullOptional
prorationbooleanOptionalDefaults to false
period_startdatetime or nullOptional
period_enddatetime or nullOptional
subscription_idstring or nullOptional
subscription_item_idstring or nullOptional
tier_breakdownlist of objects or nullOptional

Errors

422
Unprocessable Entity Error